// Table_i.h
/*
Copyright (C) 2003  Anders Hedstrom

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef _TABLE_I_H
#define _TABLE_I_H

//! Create a nice looking html table

class Table
{
public:
	Table(const string &color, int padding = 5, const char *caption = NULL,
		const char *textcolor = NULL) 
	{
		printf("<table cellpadding=0 cellspacing=0><tr><td bgcolor=%s>",color.c_str());
		if (caption)
		{
			printf("<font color=%s>%s</font></td></tr>",
				textcolor ? textcolor : "#ffffff", caption);
			printf("<tr><td bgcolor=%s>",color.c_str());
		}
		printf("<table width=100%% cellspacing=1 cellpadding=%d>",padding);
		fflush(stdout);
	}
	~Table() {
		fflush(stdout);
		printf("</table>");
		printf("</td></tr></table>");
		fflush(stdout);
	}
};


#endif // _TABLE_I_H
